%def_with pic

%define Name GParted
Name: gparted
Version: 0.3.3
Release: alt5
Summary: Gnome Partition Editor
License: GPL
Group: System/Configuration/Hardware
URL: http://%name.sourceforge.net/
Source0: %name-%version.tar.bz2
#http://prdownloads.sourceforge.net/%name/%name-%version.tar.bz2?download
Source1: %name-pam
Source2: %name-security

BuildRequires: libparted-devel >= 1.7.1
BuildRequires: libgtkmm2-devel >= 2.8
BuildRequires: fontconfig freetype2 gcc-c++ glib2-devel glibc-devel
BuildRequires: libatk-devel libcairo-devel libe2fs-devel
BuildRequires: libglibmm-devel libgtk+2-devel libpango-devel pkg-config
BuildRequires: perl-XML-Parser parted libprogsreiserfs-devel
BuildRequires: libsigc++2.0-devel libstdc++-devel

%description
%Name stands for Gnome Partition Editor. It uses libparted to detect
and manipulate devices and partitiontables while several (optional)
filesystemtools provide support for filesystems not included in
libparted. These optional packages will be detected at runtime and
don't require a rebuild of %Name.
%Name is written in C++ and uses gtkmm as Graphical Toolkit. The
general approach is to keep the GUI as simple as possible.

%description -l ru_RU.CP1251
%Name - Gnome Partition Editor.   libparted 
       ,  
 ()  (   libparted) 
 ,   .   
        %Name.
%Name   C++   gtkmm   
.   -  GUI  .

%description -l uk_UA.CP1251
%Name - Gnome Partition Editor. ³  libparted 
       ,  
 ()  (   libparted)  
,    . ֳ   
       %Name.
%Name   C++   gtkmm   
.   -  GUI  .


%prep
%setup -q
subst '/^Categories=/ s/GNOME/GTK2/' %name.desktop*


%build
%configure %{subst_with pic} --bindir=%_sbindir
%make_build


%install
%make_install DESTDIR=%buildroot install
install -d -m755 %buildroot%_bindir

# usermode
install -pD -m640 %SOURCE1 %buildroot%_sysconfdir/pam.d/%name
install -pD -m640 %SOURCE2 %buildroot%_sysconfdir/security/console.apps/%name
ln -s %_bindir/consolehelper %buildroot%_bindir/%name
bzip2 --best --keep --force ChangeLog

#menu
%ifndef _desktopdir
install -d %buildroot%_menudir
cat > %buildroot%_menudir/%name <<__MENU__
?package(%name): command="%name" needs="X11" \
icon="%name.png" section="Configuration/Hardware" \
title="%Name" \
genericname="Partition Editor" \
longtitle="GUI partition editor"
__MENU__
%endif

%find_lang %name


%post
%update_menus


%postun
%clean_menus


%files -f %name.lang
%doc AUTHORS ChangeLog.* README
%_sbindir/*
%_bindir/*
%_sysconfdir/pam.d/*
%_sysconfdir/security/console.apps/*
%_pixmapsdir/*
%ifdef _desktopdir
%_desktopdir/*
%else
%_menudir/*
%endif


%changelog
* Mon May 14 2007 Led <led@altlinux.ru> 0.3.3-alt5
- rebuild with libparted-1.8.so.7

* Sun Mar 25 2007 Led <led@altlinux.ru> 0.3.3-alt4
- rebuild with libparted-1.8.so.6

* Mon Mar 19 2007 Led <led@altlinux.ru> 0.3.3-alt3
- rebuild with libparted-1.8.so.4

* Tue Jan 16 2007 Led <led@altlinux.ru> 0.3.3-alt2
- rebuild with libparted-1.8.so.2

* Fri Dec 08 2006 Led <led@altlinux.ru> 0.3.3-alt1
- 0.3.3

* Mon Dec 04 2006 Led <led@altlinux.ru> 0.3.2-alt1
- 0.3.2:
  + added support for reading volumelabels (ext2/3 now)
- removed %name-0.3.1-configure.patch (fixed in upstream)
- fixed BuildRequires
- cleaned up %%setup due fixes in upstream
- fixed %name.desktop

* Thu Nov 23 2006 Led <led@altlinux.ru> 0.3.1-alt2
- rebuild with new libparted
- added %name-0.3.1-configure.patch
- fixed spec

* Tue Sep 12 2006 Led <led@altlinux.ru> 0.3.1-alt1
- 0.3.1
- fixed configure*

* Thu Sep 07 2006 Led <led@altlinux.ru> 0.3-alt1
- 0.3
- fixed BuildRequires

* Mon Jun 19 2006 Led <led@altlinux.ru> 0.2.5-alt4
- rebuild without changes for fixing unmets

* Tue May 30 2006 Led <led@altlinux.ru> 0.2.5-alt3
- rebuild with libparted-1.7.1

* Mon May 22 2006 Led <led@altlinux.ru> 0.2.5-alt2
- rebuild with libparted-1.7.0

* Mon May 22 2006 Led <led@altlinux.ru> 0.2.5-alt1
- fixed spec

* Mon May 15 2006 Led <led@altlinux.ru> 0.2.5-alt0.1
- 0.2.5
- removed unneedful BuildReq's

* Wed Apr 05 2006 Led <led@altlinux.ru> 0.2.4-alt0.1
- 0.2.4

* Wed Mar 29 2006 Led <led@altlinux.ru> 0.2.3-alt0.1
- 0.2.3

* Fri Feb 24 2006 Led <led@altlinux.ru> 0.2.2-alt0.1
- 0.2.2

* Fri Feb 17 2006 Led <led@altlinux.ru> 0.2.1-alt0.1
- 0.2.1
- removed unneedful BuildReq's

* Mon Jan 30 2006 Led <led@altlinux.ru> 0.2-alt1
- 0.2

* Mon Jan 23 2006 Led <led@altlinux.ru> 0.1-alt1
- 0.1
- removed empty NEWS from docs
- uk and ru Summary and description
- added usermode

* Sun Nov 27 2005 Alexey Rusakov <ktirf@altlinux.ru> 0.0.9-alt1
- new version
- the binary now lives in bindir instead of sbindir (it's an upstream change actually).

* Mon Sep 12 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.0.8-alt0.1.1
- rebuild with libparted.

* Sat Jan 29 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.0.8-alt0.1
- 0.0.8

* Wed Dec 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.0.7-alt0.1
- First build for Sisyphus.
